org.apache.olingo.commons.api.data

## Class Linked

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.AbstractODataObject
    - - org.apache.olingo.commons.api.data.Linked

- Direct Known Subclasses:
    ComplexValue, Entity

      public abstract class Linked
      extends AbstractODataObject

  Data representation for a linked object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Linked()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Link` | `getAssociationLink(String name)` Gets association link with given name, if available, otherwise `null`.
    `List<Link>` | `getAssociationLinks()` Gets association links.
    `Link` | `getNavigationBinding(String name)` Gets binding link with given name, if available, otherwise `null`.
    `List<Link>` | `getNavigationBindings()` Gets binding links.
    `Link` | `getNavigationLink(String name)` Gets navigation link with given name, if available, otherwise `null`.
    `List<Link>` | `getNavigationLinks()` Gets navigation links.
    `protected Link` | `getOneByTitle(String name, List<Link> links)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.AbstractODataObject

      `getBaseURI, getId, getTitle, setBaseURI, setCommonProperty, setId`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Linked

          public Linked()

  - ### Method Detail

    - #### getOneByTitle

          protected Link getOneByTitle(String name,
                                       List<Link> links)

    - #### getAssociationLink

          public Link getAssociationLink(String name)

      Gets association link with given name, if available, otherwise `null`.
      Parameters:
        `name` - candidate link name
      Returns:
        association link with given name, if available, otherwise `null`

    - #### getAssociationLinks

          public List<Link> getAssociationLinks()

      Gets association links.
      Returns:
        association links.

    - #### getNavigationLink

          public Link getNavigationLink(String name)

      Gets navigation link with given name, if available, otherwise `null`.
      Parameters:
        `name` - candidate link name
      Returns:
        navigation link with given name, if available, otherwise `null`

    - #### getNavigationLinks

          public List<Link> getNavigationLinks()

      Gets navigation links.
      Returns:
        links.

    - #### getNavigationBinding

          public Link getNavigationBinding(String name)

      Gets binding link with given name, if available, otherwise `null`.
      Parameters:
        `name` - candidate link name
      Returns:
        binding link with given name, if available, otherwise `null`

    - #### getNavigationBindings

          public List<Link> getNavigationBindings()

      Gets binding links.
      Returns:
        links.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractODataObject`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractODataObject`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.